FreeMat

- Main Page
- Related Pages

vtkImageDecomposeFilter

Section: Visualization Toolkit Imaging Classes

# Usage

This superclass molds the vtkImageIterateFilter superclass so it iterates over the axes. The filter uses dimensionality to determine how many axes to execute (starting from x). The filter also provides convenience methods for permuting information retrieved from input, output and vtkImageData.

To create an instance of class vtkImageDecomposeFilter, simply invoke its constructor as follows

      obj = vtkImageDecomposeFilter

# Methods

The class vtkImageDecomposeFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageDecomposeFilter class.

- `string = obj.GetClassName ()` - Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3.
- `int = obj.IsA (string name)` - Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3.
- `vtkImageDecomposeFilter = obj.NewInstance ()` - Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3.
- `vtkImageDecomposeFilter = obj.SafeDownCast (vtkObject o)` - Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3.
- `obj.SetDimensionality (int dim)` - Dimensionality is the number of axes which are considered during execution. To process images dimensionality would be set to 2.
- `int = obj.GetDimensionality ()` - Dimensionality is the number of axes which are considered during execution. To process images dimensionality would be set to 2.